# Marketing Cloud Data events API

## Introduction

This module enables the data events API in the Marketing Cloud as a service.

For details on individual API calls and the Marketing Cloud REST API, please
visit
https://developer.salesforce.com/docs/atlas.en-us.noversion.mc-apis.meta/mc-apis/routes.htm

## Service functions

| Name                                         | Function                                                                   |
| -------------------------------------------- | -------------------------------------------------------------------------- |
| Insert data extension rows by key            | insertDataExtensionRowsByKey($key, $json)                                  |
| Insert data extension row by key             | insertDataExtensionRowByKey($key, $primaryKeys, $json)                     |
| Increment column value by data extension key | incrementColumnValueByDataExtensionKey($key, $primaryKeys, $column, $step) |

## Requirements

* marketing_cloud

## Installation

Please see marketing_cloud README.md

## Configuration

Please see marketing_cloud README.md for general configuration.

This module will add a tab to admin > config > marketing cloud. here you can
edit the individual rest call definitions.
