# Marketing Cloud Example

## Introduction

The Marketing Cloud Example module provides a very simple webform plugin that
sends an SMS text to mobile numbers on form submission.

It expects 2 fields in the webform"

* mobile_numbers
* message_text

## Requirements

* marketing_cloud
* marketing_cloud_sms
* webform
* webform_ui

## Installation

* The SalesForce "post a message to a number" API call requires:
  * A short code for an existing text message. Ensure that a message has been
    created at the salesforce end, that you can use or override,
    and enter that shortcodeinto the plugin
    (see /admin/structure/webform/manage/marketing_cloud_example/handlers)
  * The numbers that you want to SMS must already exist in
    SalesForce under the business unit that you define
    in the global Marketing Cloud configuration.
