# Marketing Cloud Messages API

## Introduction

This module enables the messages API in the Marketing Cloud as a service.

For details on individual API calls and the Marketing Cloud REST API, please
visit
https://developer.salesforce.com/docs/atlas.en-us.noversion.mc-apis.meta/mc-apis/routes.htm

## Service functions

| Name                      | Function                                       |
| ------------------------- | ---------------------------------------------- |
| Send email                | sendEmail($triggeredSendDefinitionId, $json)   |
| Get email delivery status | getEmailDeliveryStatus($key, $recipientSendId) |

## Requirements

* marketing_cloud

## Installation

Please see marketing_cloud README.md

## Configuration

Please see marketing_cloud README.md for general configuration.

This module will add a tab to admin > config > marketing cloud. here you can
edit the individual rest call definitions.
